package net.pterodactylus.sone.database;

import java.util.Collection;

import net.pterodactylus.sone.data.LocalSone;
import net.pterodactylus.sone.data.Sone;

import com.google.common.base.Optional;

/**
 * Provides information about {@link Sone#getFriends() friends} of a {@link Sone}.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public interface FriendProvider {

	Collection<String> getFriends(LocalSone localSone);
	Optional<Long> getSoneFollowingTime(String remoteSoneId);
	boolean isFriend(LocalSone localSone, String friendSoneId);

}
